Skip to Content
CallMitraDocs
API referenceAgents

Get an agent

The agent with its published `config`, working `draftConfig`, status and phone numbers.

GET
/api/v1/agents/{agent_id}

The agent with its published config, working draftConfig, status and phone numbers.

Authorization

headerX-API-Key<token>

Create in the console: Settings → API & webhooks.

Path Parameters

agent_id*Agent Id

Response Body

OK

application/json
  1. response

One agent.

agent*

An AI agent: its live configuration, draft, status and numbers.

success?Success

Always true on success.

Defaulttrue
[key: string]?any
Example Request
curl -X GET 'https://api.callmitra.ai/api/v1/agents/string'
Example Response
{  "agent": {    "config": {      "language": "hi-IN",      "llm_model": "gpt-4o-mini",      "tts": "sarvam",      "voice": "priya"    },    "id": "3f0c2a9e-6a51-4c6e-9a3e-2d1b7c4e8f10",    "language": "hi-IN",    "name": "Priya",    "rosterState": "in_training",    "status": "draft",    "takingCalls": false,    "unpublishedChanges": false  },  "success": true}